cpw.mods.fml.common

## Class LoadController

- java.lang.Object
- - cpw.mods.fml.common.LoadController

-     public class LoadController
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LoadController(Loader loader)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ModContainer` | `activeContainer()`
    `void` | `buildModList(FMLLoadEvent event)`
    `com.google.common.collect.ImmutableBiMap<ModContainer,Object>` | `buildModObjectList()`
    `void` | `distributeStateMessage(Class<?> customEvent)`
    `void` | `distributeStateMessage(LoaderState state, Object... eventData)`
    `void` | `errorOccurred(ModContainer modContainer, Throwable exception)`
    `List<ModContainer>` | `getActiveModList()`
    `com.google.common.collect.BiMap<ModContainer,Object>` | `getModObjectList()`
    `LoaderState.ModState` | `getModState(ModContainer selectedMod)`
    `boolean` | `isInState(LoaderState state)`
    `void` | `printModStates(StringBuilder ret)`
    `void` | `propogateStateMessage(FMLEvent stateEvent)`
    `void` | `transition(LoaderState desiredState, boolean forceState)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LoadController

          public LoadController(Loader loader)

  - ### Method Detail

    - #### buildModList

          public void buildModList(FMLLoadEvent event)

    - #### distributeStateMessage

          public void distributeStateMessage(LoaderState state,
                                    Object... eventData)

    - #### transition

          public void transition(LoaderState desiredState,
                        boolean forceState)

    - #### activeContainer

          public ModContainer activeContainer()

    - #### propogateStateMessage

          public void propogateStateMessage(FMLEvent stateEvent)

    - #### buildModObjectList

          public com.google.common.collect.ImmutableBiMap<ModContainer,Object> buildModObjectList()

    - #### errorOccurred

          public void errorOccurred(ModContainer modContainer,
                           Throwable exception)

    - #### printModStates

          public void printModStates(StringBuilder ret)

    - #### getActiveModList

          public List<ModContainer> getActiveModList()

    - #### getModState

          public LoaderState.ModState getModState(ModContainer selectedMod)

    - #### distributeStateMessage

          public void distributeStateMessage(Class<?> customEvent)

    - #### getModObjectList

          public com.google.common.collect.BiMap<ModContainer,Object> getModObjectList()

    - #### isInState

          public boolean isInState(LoaderState state)